#client.AdriftCreditsScreen.py

import sys

from engine.Gameworld import Gameworld

import pygame
from pygame.locals import *

import gui

import defaultStyle

class AdriftCreditsScreen(Gameworld):
	"""
		Simple screen that displays how to play the game and credits.
	"""

	def __init__(self):
		"""
			Simple screen with a text box for the credits and a 
			button to go back to the start screen.
		"""
		defaultStyle.init(gui)
		
		#create the GUI
		self.app = gui.Desktop()
		
		self.labelStyleCopy = gui.defaultLabelStyle.copy()
		self.labelStyleCopy['border-width'] = 0
		self.labelStyleCopy['wordwrap'] = True
		self.labelStyleCopy['autosize'] = False
		
		f = file("readme.txt")
		self.creditsString = f.read()
		f.close()
		
		self.creditsTextBox = gui.Label(position=(150, 50), size=(500, 400), parent=self.app, text=self.creditsString)
		
		self.backButton = gui.Button(position=(150, 550), size=(500, 25), parent=self.app, text="Back to Title Screen")
		self.backButton.onClick = self.handleBack
		
	def handleEvent(self, event):
		"""
			Handles any events generated by the user.
		"""
		#quit when the user clicks the "X"
		if event.type == pygame.QUIT:
			sys.exit()
			
	def tick(self, time):
		"""
			Update the gui.
		"""
		self.app.update()
		
	def draw(self, surface):
		"""
			Draw the Adrift credits screen.
		"""
		self.app.draw()
		
	def handleBack(self, button):
		"""
			Go back to the title screen.
		"""
		startScreen = self.controller.getScene(0)
		startScreen.drawArrow = False
		startScreen.drawArrowTimer = 0
		self.controller.changeScene(0)