#Block.py

import math

import pygame

from pygame import Rect

from engine.AtlanSprite import AtlanSprite

from common.Utility import *

from Boat import Boat

class Block(AtlanSprite):
	"""
		Little square that sinks the boat if it hits it.
	"""

	def __init__(self, myBounds, m):
		"""
			Create a block with a given boundary.
		"""
		AtlanSprite.__init__(self)
		self.bounds = myBounds
		self.master = m
		self.images = getImages("block")
		self.image = self.images[0]
		self.dead = False
		#see PixelPerfect
		self.hitmask = pygame.surfarray.array_alpha(self.image)
		
	def checkCollision(self, others):
		"""
			Do nothing, collision detection handled by Boat.
		"""
		pass
					
	def draw(self, surface):
		"""
			Draw the block to the screen.
		"""
		surface.blit(self.image, pygame.Rect(self.camX, self.camY, self.bounds.width, self.bounds.height))
			
	def setWind(self, magnitude, direction):
		"""
			Wind does not affect blocks.
		"""
		pass
		
	def isBoat(self):
		"""
			Not a boat.
		"""
		return False