#DeathScreen.py

import random 

import pygame

from pygame import Rect

from engine.AtlanSprite import AtlanSprite

from common.Utility import *

class DeathScreen(AtlanSprite):
	"""
		Simple special effect for player death:
		draw little black circles to fill up the screen.
	"""

	def __init__(self, m):
		"""
			Create a new surface to draw the black circles to.
		"""
		AtlanSprite.__init__(self)
		self.bounds = pygame.Rect(0, 0, 800, 600)
		self.master = m
		self.animation = None
		self.sheet = pygame.Surface((self.bounds.width, self.bounds.height), flags=pygame.SRCALPHA).convert_alpha()
					
	def draw(self, surface):
		"""
			Draw to the screen.
		"""
		surface.blit(self.sheet, self.bounds)
		
	def update(self, time):
		"""
			Every tick of the clock draw 100 more circles.
			Circles are semitransparent.
		"""
		self.sheet.lock()
		for i in xrange(100):
			pygame.draw.circle(self.sheet, (0, 0, 0, 230), (random.randint(0, 800), random.randint(0, 600)), random.randint(5, 10))
		self.sheet.unlock()