#Doubloon.py

import math

import pygame

from pygame import Rect

from engine.AtlanSprite import AtlanSprite

from common.Utility import *

from Boat import Boat

class Doubloon(AtlanSprite):
	"""
		Gold that player tries to collect.
	"""

	def __init__(self, myBounds, m):
		"""
			Create the Doubloon sprite
		"""
		AtlanSprite.__init__(self)
		self.bounds = myBounds
		self.master = m
		self.images = getImages("doubloon")
		self.image = self.images[0]
		self.animation = None
		self.dead = False
		#see PixelPerfect
		self.hitmask = pygame.surfarray.array_alpha(self.image)
		
	def checkCollision(self, others):
		"""
			Handle collision detection in Boat class.
		"""
		pass
					
	def draw(self, surface):
		"""
			Draw to the screen.
		"""
		surface.blit(self.image, pygame.Rect(self.camX, self.camY, self.bounds.width, self.bounds.height))
			
	def setWind(self, magnitude, direction):
		"""
			Doubloons are unaffected by wind.
		"""
		pass
		
	def isBoat(self):
		"""
			Not a boat.
		"""
		return False
		
	def isDoubloon(self):
		"""
			Is a doubloon.
		"""
		return True