#Goal.py

import math

import pygame

from pygame import Rect

from engine.AtlanSprite import AtlanSprite

from common.Utility import *

class Goal(AtlanSprite):
	"""
		This is the object that the player is trying to hit.
		Touching it advances the level.
	"""

	def __init__(self, myBounds, m):
		"""
			Create a new Goal Sprite.
		"""
		AtlanSprite.__init__(self)
		self.bounds = myBounds
		self.master = m
		self.animation = None
		self.images = getImages("goal")
		self.image = self.images[0]
		self.dead = False
		#see PixelPerfect
		self.hitmask = pygame.surfarray.array_alpha(self.image)
		
	def checkCollision(self, others):
		"""
			Let the Boat class handle most of the collision detection.
		"""
		pass
		
	def isGoal(self):
		"""
			Is the goal.
		"""
		return True
					
	def draw(self, surface):
		"""
			Draw to the screen.
		"""
		surface.blit(self.image, pygame.Rect(self.camX, self.camY, self.bounds.width, self.bounds.height))
			
	def setWind(self, magnitude, direction):
		"""
			Unaffected by wind.
		"""
		pass
		
	def isBoat(self):
		"""
			Not the player boat.
		"""
		return False