#Seagull.py

import pygame

from engine.AtlanSprite import AtlanSprite

from common.Utility import *

import random

class Seagull(AtlanSprite):
	"""
		Visual effect sprite for a seagull.
		Flaps around and moves randomly.
	"""

	def __init__(self, x, y):
		"""
			Create a new Seaguall at an x,y location.
		"""
		AtlanSprite.__init__(self)
		self.bounds = pygame.Rect(x, y, 12, 5)
		self.images = getImages("seagull")
		self.imageIndex = 0
		self.timer = 0
		self.changeTime = 200
		self.directionX = 1
		self.directionY = 1
		
	def changeDirection(self):
		"""
			Randomly change the direction.
		"""
		self.directionX = random.randint(-1, 1)
		self.directionY = random.randint(-1, 1)
		
	def draw(self, surface):
		"""
			Draw to the screen.
		"""
		surface.blit(self.images[self.imageIndex], pygame.Rect(self.camX, self.camY, self.bounds.width, self.bounds.height))
		
	def update(self, delta):
		"""
			Update internal logic:
			Move the seagull along its velocity.
			Decide if velocity needs to change based on time.
		"""
		self.timer += delta
		self.bounds.x += self.directionX
		self.bounds.y += self.directionY
		if self.timer >= self.changeTime:
			self.timer = 0
			self.imageIndex = self.imageIndex + 1
			if self.imageIndex > 2:
				self.imageIndex = 0
				self.changeDirection()